/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
/**
 * @file GLOutputDlg.h
 * @brief 出力ウィンドウダイアログクラス
 */
#pragma once

#include "resource.h"

class CMenuEdit : public CEdit
{
public:
	CMenuEdit();

protected:
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);

	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	DECLARE_MESSAGE_MAP()
};

// CGLOutputDlg ダイアログ

class CGLOutputDlg : public CDialog
{
	CMenuEdit m_edit;

public:
	CGLOutputDlg(CWnd* pParent = NULL);   // 標準コンストラクタ
	virtual ~CGLOutputDlg();

// ダイアログ データ
	enum { IDD = IDD_GLOUTPUTDLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	virtual BOOL OnInitDialog();

	afx_msg LRESULT OnOutput(WPARAM wParam, LPARAM lParam);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	DECLARE_MESSAGE_MAP()

private:
	void RecalcChild();
};
